=== modified file 'doc/en/admin-guide/simple-setups.txt'
--- doc/en/admin-guide/simple-setups.txt	2011-03-24 00:13:10 +0000
+++ doc/en/admin-guide/simple-setups.txt	2011-08-24 09:34:35 +0000
@@ -112,7 +112,7 @@
 
 The following example shows how a single line is configured::
 
-  command="bzr --serve --inet --allow-writes --directory=/srv/bzr",no-agent-forwarding,no-port-forwarding,no-pty,no-user-rc,no-X11-forwarding ssh-rsa AAA...= my bzr key
+  command="bzr serve --inet --allow-writes --directory=/srv/bzr",no-agent-forwarding,no-port-forwarding,no-pty,no-user-rc,no-X11-forwarding ssh-rsa AAA...= my bzr key
 
 This command allows the user to access only bzr and disables other SSH use.  Write
 access to each repository in the directory ``/srv/bzr`` has been granted with ``--allow-writes``
@@ -122,9 +122,9 @@
 for Alice and Bob.  This method will not allow you to restrict access to part
 of a repository, you may only restrict access to a single part of the directory structure::
 
-  command="bzr --serve --inet --allow-writes --directory=/srv/bzr/alice/",no-agent-forwarding,no-port-forwarding,no-pty,no-user-rc,no-X11-forwarding ssh-rsa AAA...= Alice's SSH Key
-  command="bzr --serve --inet --allow-writes --directory=/srv/bzr/bob/",no-agent-forwarding,no-port-forwarding,no-pty,no-user-rc,no-X11-forwarding ssh-rsa AAA...= Bob's SSH Key
-  command="bzr --serve --inet --allow-writes --directory=/srv/bzr/",no-agent-forwarding,no-port-forwarding,no-pty,no-user-rc,no-X11-forwarding ssh-rsa AAA...= Repo Manager SSH Key
+  command="bzr serve --inet --allow-writes --directory=/srv/bzr/alice/",no-agent-forwarding,no-port-forwarding,no-pty,no-user-rc,no-X11-forwarding ssh-rsa AAA...= Alice's SSH Key
+  command="bzr serve --inet --allow-writes --directory=/srv/bzr/bob/",no-agent-forwarding,no-port-forwarding,no-pty,no-user-rc,no-X11-forwarding ssh-rsa AAA...= Bob's SSH Key
+  command="bzr serve --inet --allow-writes --directory=/srv/bzr/",no-agent-forwarding,no-port-forwarding,no-pty,no-user-rc,no-X11-forwarding ssh-rsa AAA...= Repo Manager SSH Key
 
 Alice and Bob have access to their own repository and Repo Manager
 has access to the each of their repositories.  Users are not allowed access to any part of 

=== modified file 'doc/en/mini-tutorial/index.txt'
--- doc/en/mini-tutorial/index.txt	2011-07-01 22:01:47 +0000
+++ doc/en/mini-tutorial/index.txt	2011-10-26 16:44:52 +0000
@@ -65,10 +65,14 @@
 
 ::
 
-  bzr init-repo sample
-  cd sample
-  bzr init trunk
-  cd trunk
+  $ bzr init-repo sample
+  Shared repository with trees (format: 2a)
+  Location:
+    shared repository: sample
+  $ bzr init sample/trunk
+  $ cd sample/trunk
+  Created a repository tree (format: 2a)                                         
+  Using shared repository: /home/john/sample/
 
 
 Adding files
@@ -93,7 +97,15 @@
 
 Let's change a file and commit that change to your branch.
 
-Edit ``test1.txt`` in your favourite editor, then check what have you done::
+Edit ``test1.txt`` in your favourite editor, then use ``bzr add`` to tell bzr
+to track changes to this file ::
+
+  $ echo test test test > test1.txt 
+  $ bzr add test1.txt
+  adding test1.txt
+
+`bzr diff` shows the changes between the last revision in this branch, and your
+current tree (or, with the ``-r`` option, between any two trees). ::
 
  $ bzr diff
  === modified file 'test1.txt'
@@ -105,8 +117,9 @@
 Commit your work to the Bazaar branch::
 
   $ bzr commit -m "Added first line of text"
-  Committed revision 2.
-
+  Committing to: /home/john/sample/trunk/                             
+  added test1.txt
+  Committed revision 1.
 
 Viewing the revision log
 ========================
@@ -114,17 +127,9 @@
 You can see the history of your branch by browsing its log::
 
   $ bzr log
-  ------------------------------------------------------------
-  revno: 2
-  committer: John Doe <john.doe@gmail.com>
-  branch nick: myproject
-  timestamp: Mon 2007-10-08 17:56:14 +0000
-  message:
-    Added first line of text
-  ------------------------------------------------------------
   revno: 1
   committer: John Doe <john.doe@gmail.com>
-  branch nick: myproject
+  branch nick: trunk
   timestamp: Mon 2006-10-08 17:46:22 +0000
   message:
     Initial import
@@ -137,28 +142,46 @@
 software projects. You can use it to publish your branch.  (You can 
 also publish branches onto your own server or other hosting services.)
 
-If you don't have a Launchpad account, follow the `account signup guide`_
-and `register an SSH key`_ in your new Launchpad account.
-
-.. _account signup guide: https://help.launchpad.net/CreatingYourLaunchpadAccount
-.. _register an SSH key: https://launchpad.net/people/+me/+editsshkeys
-
-Replacing ``john.doe`` with your own Launchpad username, type::
-
- $ bzr push lp:~john.doe/+junk/myproject
-
-**Note**: ``+junk`` is a place to store experimental branches not
-associated with any particular project.  Normally, you should push a
-project into an existing project, or register a new project through the
-web interface.
-
-Now, anyone can create their own copy of your branch by typing::
-
- $ bzr branch lp:~john.doe/+junk/myproject
-
-You can also see information about your branch, including its revision
-history, at https://code.launchpad.net/people/+me/+junk/myproject
-
+The steps to publishing branches on Launchpad are:
+
+1. Create a Launchpad account: visit the `Launchpad login page`_ and choose to create a new account.
+    
+.. _Launchpad login page: https://launchpad.net/+login
+    
+2. Bazaar uses the SSH encryption and authentication protocol to connect
+   to Launchpad.  You need to first `create an SSH key`_ on your own computer,
+   by running the command::
+    
+       $ ssh-keygen
+
+.. _create an SSH key: https://help.launchpad.net/YourAccount/CreatingAnSSHKeyPair    
+       
+3. `Upload your SSH public key to Launchpad`_.
+ 
+.. _Upload your SSH public key to Launchpad: https://launchpad.net/~/+editsshkeys
+    
+4. `Make a team for your project`_.  Even if you're starting as the only
+   developer on this project, creating a new now will let you more easily 
+   add other people later.
+ 
+.. _Make a team for your project: https://help.launchpad.net/Teams/CreatingAndRunning
+      
+5. `Create a project`_.
+  
+.. _Create a project: https://help.launchpad.net/Projects/Registering
+
+6. Tell Bazaar your Launchpad account name.  If your account is john.doe, type ::
+  
+      $ bzr launchpad-login john.doe
+
+7. `Push the branch for your project`_.  Once you've committed your changes 
+   locally, you can publish them as the trunk of your new project by saying
+    
+       $ bzr push lp:~sample-developers/sample/trunk
+       
+   (Of course, using the team and project names you just chose.)
+ 
+.. _Push the branch for your project: https://help.launchpad.net/Code/UploadingABranch
 
 Creating your own copy of another branch
 ========================================

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-10-10 13:59:22 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-10-26 16:44:52 +0000
@@ -139,6 +139,9 @@
 * Corrected documentation for BZR_PROGRESS_BAR. 
   (Dennis Benzinger, #735417)
 
+* Corrected documentation for ``bzr serve`` in the Admin Guide.
+  (Morten Bøgeskov, Martin Pool, #832576)
+
 API Changes
 ***********
 

